"use client";
import { useRouter } from "@/i18n";
import clsx from "clsx";
import { FC, PropsWithChildren, ReactNode } from "react";
import styles from "./style.module.scss";

/**
 * @description 底部组件
 * @param footerPlaceholder 底部占位元素
 * @param footerRender 底部渲染元素
 *
 */
export interface FooterProps {
    footerPlaceholder?: boolean;
    footerRender?: () => ReactNode;
}

const Footer: FC<PropsWithChildren<FooterProps>> = (props) => {
    const { footerPlaceholder = true, footerRender } = props;
    const cs = clsx({
        [styles.placeholder]: footerPlaceholder,
    });

    const router = useRouter();

    return (
        <div className={cs}>
            <div className={styles.footerWrap}>
                {footerRender ? footerRender() : <div>defaultFooter</div>}
            </div>
        </div>
    );
};

export default Footer;
