import { nextui } from "@nextui-org/react";
import type { Config } from "tailwindcss";

const fontSize: any = Array.from({ length: 100 }).reduce((map: any, _, index) => {
    map[index] = `${index}px`;
    return map;
}, {});
const config: Config = {
    content: [
        "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
        "./src/components/**/*.{js,ts,jsx,tsx,mdx}",
        "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
        "./node_modules/@nextui-org/theme/dist/**/*.{js,ts,jsx,tsx}",
    ],
    theme: {
        extend: {
            fontSize,
            backgroundImage: {
                "gradient-radial": "radial-gradient(var(--tw-gradient-stops))",
                "gradient-conic":
                    "conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))",
            },
        },
    },
    plugins: [
        nextui({
            layout: {
                fontSize: {
                    // tiny: "10px", // text-tiny
                    // small: "12px", // text-small
                    // medium: "14px", // text-medium
                    // large: "16px", // text-large
                },
            },
            themes: {
                dark: {
                    colors: {
                        primary: "#ff6a01",
                    },
                },
                light: {},
            },
        }),
    ],
};
export default config;
